%this script runs Eulers method for a simple population model

%natural growth rate
r=0.4;

%carrying capacity
k=20;
initial_population = 2.44;

approx_pop=[];
current_time_vector=[];
approx_pop(1) = initial_population;
current_time_vector(1)=0.0;
current_time =0.0;
difference =1.0;
i=2;
%time step
h=0.01;

while(difference>1.0e-6)
    approx_pop(i) = approx_pop(i-1) + h*feval('problem27_f',r,k,approx_pop(i-1));
    difference =  abs(approx_pop(i)-approx_pop(i-1));
    current_time = current_time+h;
    current_time_vector=[current_time_vector;current_time];
    i=i+1;
end
hold on
plot(current_time_vector,approx_pop');  
hold off
fprintf('The eventual population at %d  is %f \n',round(current_time),(approx_pop(length(approx_pop))));
